Inserire velocemente freccia direttrice su layer

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
Esiste un lisp che mi crea la freccia(leader) la mette sul layer xxx,nel mio caso AM_5 e poi ritorna sulayer 0?
Grazie
 

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
Si so già quel sistema .mi chiedevo se esiste un lisp che da riga di comando mi avvia la direttrice sul layer am_5 e poi ritorna a quello precedente .io ora uso :LE
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, CadWorx, Lisp, VBA. YouTube: roberto portuese
Regione: Sicilia
(defun c:ql(/ Pt1 Pt2 txt clayer)
(setq clayer (getvar "clayer"))
(setq pt1 (getpoint "\Punto inserimento"))
(setq pt2 (getpoint pt1 "\Punto per testo"))
(setq txt (getstring "\nTesto: "))
(command "_layer" "_m" "AM_5" "")
(command "_leader" pt1 pt2 pt2 "" txt "")
(command "_layer" "_s" clayer "")
)

Ci sono altri metodi per ottenere lo stesso risultato, questo è semplice.
 

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
ciao grazie ho provato ma non funziona correttamente, mi spiego, di solito faccio : Le clicco il primo punto poi il secondo , a volte clicco il primo , il secondo ed il terzo poi premo esc perchè il testo non lo metto mai. appunto qualcosa non funziona come se faccio le...

poi in un disegno che non è il mio modello il layer am_5 è di colore bianco , dovrebbe essere sul colore 100.

scusa se rimarco cio' anzi grazie che deichi tempo...
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, CadWorx, Lisp, VBA. YouTube: roberto portuese
Regione: Sicilia
(defun c:ql2(/ Pt1 Pt2 clayer)
(setq clayer (getvar "clayer"))
(setq pt1 (getpoint "\Punto inserimento"))
(setq pt2 (getpoint pt1 "\Punto per testo"))
(command "_layer" "_m" "AM_5" "_c" 100 "" "")
(command "_qleader" pt1 pt2 "")
(command "_layer" "_s" clayer "")
)

prima di usare il comando avvia qleader, setting, Annotation Type: NONE.
Premere esc equivale a interrompere l'esecuzione di un programma Lisp.
 

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
(defun c:ql2(/ Pt1 Pt2 clayer)
(setq clayer (getvar "clayer"))
(setq pt1 (getpoint "\Punto inserimento"))
(setq pt2 (getpoint pt1 "\Punto per testo"))
(command "_layer" "_m" "AM_5" "_c" 100 "" "")
(command "_qleader" pt1 pt2 "")
(command "_layer" "_s" clayer "")
)

prima di usare il comando avvia qleader, setting, Annotation Type: NONE.
Premere esc equivale a interrompere l'esecuzione di un programma Lisp.
ok credevo andasse subito, allora a sto punto uso la tool palette che me lo mette sul layer giusto.
AMnote mi da problemi, nel senso che io lavoro con impostato il layer 0 e colore :da blocco e ogni volta che faccio una linea con amnote me la fa bianca e non del colore del layer.
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, CadWorx, Lisp, VBA. YouTube: roberto portuese
Regione: Sicilia
Settare qleader è solo la prima volta, poi il comando ql2 lo puoi usare quante volte vuoi.
Ma hai fatto la prova o no?
 

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
Strano perché in impostazioni colore c'è byiso ovvero il colore del layer am5 ma le fa sempre bianche byblock
 

MassiVonWeizen

Utente Senior
Professione: disegnatore
Software: solidworks 2019
Regione: Friuli Venezia Giulia
vai in modifica quota, selezioni direttrice, scheda linea, colore a fantasia
poi usi il comando qleader
 

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
vai in modifica quota, selezioni direttrice, scheda linea, colore a fantasia
poi usi il comando qleader
Ok grazie .vedo cmq che con la tool palette la procedura è più veloce .Creo un nuovo comando e selez il layer giusto così ogni volta ritorna sul layer 0.
 

GP.

Utente Senior
Professione: Nientologo
Software: uozapp
Regione: Vercelli
Con questo lisp, che va caricato una sola volta (lo puoi mettere nell'ACADDOC.LSP), quando viene disegnata una direttrice (lanciando il comando da tastiera, pulsante, ecc.) questa viene posizionata sul layer AM_5, mentre viene mantenuto il layer corrente.

Note:
- presuppone l'esistenza del layer AM_5 (ma si può prevedere l'eventuale creazione);
- il lisp inizializza i reattori, potrebbero non più funzionare quelli eventualmente creati dai tuoi applicativi, ma basta riaprire un dwg senza lanciare questo lisp
 

Allegati

jim78b

Utente Standard
Professione: PROGETTISTA
Software: Solidworks 2016- autocad mech 2013-2017
Regione: lombardia
ok grazie siete stati molto utili e gentili :)